<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'restaurant',

    /*
     * Package.
     */
    'package'   => 'schedule',

    /*
     * Modules.
     */
    'modules'   => ['restaurant_schedule'],

    
    'restaurant_schedule'       => [
        'model' => [
            'model'                 => \Restaurant\Schedule\Models\RestaurantSchedule::class,
            'table'                 => 'restaurant_schedules',
            'presenter'             => \Restaurant\Schedule\Repositories\Presenter\RestaurantSchedulePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'restaurant_id',  'name',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'schedule/restaurant_schedule',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Restaurant',
            'package'   => 'Schedule',
            'module'    => 'RestaurantSchedule',
        ],

    ],
];
