<?php

namespace Restaurant\Schedule\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class RestaurantScheduleTransformer extends TransformerAbstract
{
    public function transform(\Restaurant\Schedule\Models\RestaurantSchedule $restaurant_schedule)
    {
        return [
            'id'                => $restaurant_schedule->getRouteKey(),
            'key'               => [
                'public'    => $restaurant_schedule->getPublicKey(),
                'route'     => $restaurant_schedule->getRouteKey(),
            ], 
            'id'                => $restaurant_schedule->id,
            'restaurant_id'     => $restaurant_schedule->restaurant_id,
            'name'              => $restaurant_schedule->name,
            'user_id'           => $restaurant_schedule->user_id,
            'user_type'         => $restaurant_schedule->user_type,
            'created_at'        => $restaurant_schedule->created_at,
            'updated_at'        => $restaurant_schedule->updated_at,
            'deleted_at'        => $restaurant_schedule->deleted_at,
            'url'               => [
                'public'    => trans_url('schedule/'.$restaurant_schedule->getPublicKey()),
                'user'      => guard_url('schedule/restaurant_schedule/'.$restaurant_schedule->getRouteKey()),
            ], 
            'status'            => trans('app.'.$restaurant_schedule->status),
            'created_at'        => format_date($restaurant_schedule->created_at),
            'updated_at'        => format_date($restaurant_schedule->updated_at),
        ];
    }
}